Bug 249038 - Add note about patches *needing* to start with "patch-" to Porter's Handbook section 4.4.2
Summary: Add note about patches *needing* to start with "patch-" to Porter's Handbook ...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-31 18:47 UTC by PauAmma
Modified: 2021-04-20 09:49 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PauAmma freebsd_triage 2020-08-31 18:47:52 UTC
As discussed in IRC, a note to the effect that patch files not starting with "patch-" will be ignored would alleviate frustration in people who just want to port a few things they need and go on with their main task of using them.
Comment 1 phryk-ports 2020-08-31 19:00:17 UTC
As the frustrated person in question, I very much +1 this issue.

Also, it would be nice to add a link to https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html to the landing page of the porters' handbook, as it is *very* handy for looking things up (just ctrl+f over the whole book).

Before PauAmma directed me to it, I didn't even know it existed. Could've saved me a few hours of confused clicking and skimming through the handbook, trying to find where THAT ONE THING I NEED RIGHT NOW™ was documented. :P
Comment 2 PauAmma freebsd_triage 2020-08-31 20:26:06 UTC
(In reply to phryk from comment #1)

Re the latter, see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244538 .
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-21 06:46:27 UTC
While here, we should add that EXTRA_PATCHES should not start with patch-*

Otherwise it will be unconditionally applied (the name starts with patch-). Then in the Makefile if the condition for the EXTRA_PATCHES is met, it will be tried again, failing in doing so.
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-21 13:19:41 UTC
https://reviews.freebsd.org/D28268
Comment 5 Fernando Apesteguía freebsd_committer 2021-04-20 09:49:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=be6e85b4a2a66e6bd5a0b0cd5c9e6d24ff5247fc

commit be6e85b4a2a66e6bd5a0b0cd5c9e6d24ff5247fc
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-18 17:22:23 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-20 09:42:36 +0000

    [porters-handbook]: Clarify prefixes in patch file names

    Patches must start with `patch-` in order to be applied automatically.
    Conditional patches must not start with `patch-`.

    PR: 24903
    Reported by:    pauamma@gundo.com

    Approved by: 0mp (mentor)
    Differential Revision: https://reviews.freebsd.org/D28268

 .../content/en/books/porters-handbook/slow-porting/_index.adoc        | 4 ++++
 1 file changed, 4 insertions(+)